# buffer-points

A module that buffers code points before flushing these as single char.

```js
import bufferPoints from 'buffer-points';

const encoder = new TextEncoder;
const decoder = new TextDecoder;

const buffered = bufferPoints(buffer => {
  console.log(escape(decoder.decode(buffer)));
});

buffered(encoder.encode('🤷‍♂️'));

/*
%uD83E%uDD37
%u200D
%u2642
%uFE0F
*/
```

That's it.
